/field/:id

Update the specified field

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Update the specified field

PUT /api/v2/field/12345.json HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json

{"field_type":"name","label":"Name","attributes":{"show_prefix":"1","show_middle":"1"}}
curl -X PUT -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" -d '{"field_type":"name","label":"Name","attributes":{"show_prefix":"1","show_middle":"1"}}' https://www.formstack.com/api/v2/field/12345.json

Field Attributes

See Field Types for more information about the attributes available to set in the attributes property.

Field Logic

See Field Logic for more information about the logic property.

Field Calculation

See Field Calculations for more information about the calculation property.

Path Params
int32
required

Field ID

Body Params
string

Ffield type

string

Field label

boolean
Defaults to false

Flag to show or hide the label

string

Field description (shown below field)

boolean
Defaults to false

Flag to show the description in a callout box

string

Initial value for the field

options
array of strings

Array of option labels

options
options_values
array of strings

Array of option values

options_values
boolean
Defaults to false

Flag to mark field as required

boolean
Defaults to false

Flag to not allow the field to be changed

boolean
Defaults to false

Flag to mark the field as hidden

boolean
Defaults to false

Flag to mark the field as requiring a unique value

int32

Number of columns the field should span

boolean
Defaults to false

Sort index for the field (Starts at 0)

string

Default value calculation. See Field Calculation section below.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json